OpenTTD Source: src/void_cmd.cpp File Reference

OpenTTD Source 15.3

Functions | Variables
void_cmd.cpp File Reference

Handling of void tiles. More...

`#include "stdafx.h"`
`#include "landscape.h"`
`#include "command_func.h"`
`#include "viewport_func.h"`
`#include "slope_func.h"`
`#include "water.h"`
`#include "table/strings.h"`
`#include "table/sprites.h"`
`#include "safeguards.h"`

Go to the source code of this file.

## Functions
static void | DrawTile_Void (TileInfo *ti)
static int | GetSlopePixelZ_Void (TileIndex, uint x, uint y, bool)
static Foundation | GetFoundation_Void (TileIndex, Slope)
static CommandCost | ClearTile_Void (TileIndex, DoCommandFlags)
static void | GetTileDesc_Void (TileIndex, TileDesc &td)
static void | TileLoop_Void (TileIndex tile)
static void | ChangeTileOwner_Void (TileIndex, Owner, Owner)
static TrackStatus | GetTileTrackStatus_Void (TileIndex, TransportType, uint, DiagDirection)
static CommandCost | TerraformTile_Void (TileIndex, DoCommandFlags, int, Slope)

## Variables
const TileTypeProcs | _tile_type_void_procs

## Detailed Description

Handling of void tiles.

Definition in file void_cmd.cpp.

## Function Documentation

## ◆ ChangeTileOwner_Void()

static void ChangeTileOwner_Void | ( | TileIndex | ,
|  | Owner | ,
|  | Owner |
| ) |  |
| static

Definition at line 65 of file void_cmd.cpp.

## ◆ ClearTile_Void()

static CommandCost ClearTile_Void | ( | TileIndex | ,
|  | DoCommandFlags |
| ) |  |
| static

Definition at line 47 of file void_cmd.cpp.

## ◆ DrawTile_Void()

static void DrawTile_Void | ( | TileInfo * | ti | ) |
| static

Definition at line 22 of file void_cmd.cpp.

## ◆ GetFoundation_Void()

static Foundation GetFoundation_Void | ( | TileIndex | ,
|  | Slope |
| ) |  |
| static

Definition at line 42 of file void_cmd.cpp.

## ◆ GetSlopePixelZ_Void()

static int GetSlopePixelZ_Void | ( | TileIndex | ,
|  | uint | x,
|  | uint | y,
|  | bool |
| ) |  |
| static

Definition at line 33 of file void_cmd.cpp.

## ◆ GetTileDesc_Void()

static void GetTileDesc_Void | ( | TileIndex | ,
|  | TileDesc & | td
| ) |  |
| static

Definition at line 53 of file void_cmd.cpp.

## ◆ GetTileTrackStatus_Void()

static TrackStatus GetTileTrackStatus_Void | ( | TileIndex | ,
|  | TransportType | ,
|  | uint | ,
|  | DiagDirection |
| ) |  |
| static

Definition at line 70 of file void_cmd.cpp.

## ◆ TerraformTile_Void()

static CommandCost TerraformTile_Void | ( | TileIndex | ,
|  | DoCommandFlags | ,
|  | int | ,
|  | Slope |
| ) |  |
| static

Definition at line 75 of file void_cmd.cpp.

## ◆ TileLoop_Void()

static void TileLoop_Void | ( | TileIndex | tile | ) |
| static

Definition at line 59 of file void_cmd.cpp.

## Variable Documentation

## ◆ _tile_type_void_procs

const TileTypeProcs _tile_type_void_procs
| extern

Initial value:
= {
DrawTile_Void,
GetSlopePixelZ_Void,
ClearTile_Void,
nullptr,
GetTileDesc_Void,
GetTileTrackStatus_Void,
nullptr,
nullptr,
TileLoop_Void,
ChangeTileOwner_Void,
nullptr,
nullptr,
GetFoundation_Void,
TerraformTile_Void,
nullptr,
}

Definition at line 59 of file landscape.cpp.